---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: kanidm-tls
  namespace: kanidm
  labels:
    app.kubernetes.io/name: kanidm
    app.kubernetes.io/instance: kanidm
spec:
  secretName: kanidm-tls
  issuerRef:
    kind: ClusterIssuer
    name: vault-issuer
  commonName: auth.unkin.net
  dnsNames:
    - auth.unkin.net
    - au.auth.unkin.net
    - kanidm.k8s.syd1.au.unkin.net
    - kanidm.kanidm.svc.cluster.local
    - kanidm-0.kanidm-headless.kanidm.svc.cluster.local
    - kanidm-1.kanidm-headless.kanidm.svc.cluster.local
    - kanidm-2.kanidm-headless.kanidm.svc.cluster.local
  privateKey:
    algorithm: RSA
    size: 4096
